Skip to main content

Sales


When the customer chooses the Korean payment method during checkout, you can initiate a sale by sending your merchant details and the order information to in an initiate sale request.

Green Tax

To add a green tax to an initiate sale, include the orderInformation.amountDetails.taxDetails[].type request field and set its value to GREEN. You cannot complete a partial refund if you include this field in the initiate sale request. For more information, see Refund Restrictions.

Merchant App

If the customer is using a merchant app, the deviceInformation.appUrl optional field enables you to set a redirect URL to take the customer back to the merchant app once they complete the payment on the KCP website.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "refnum-1234"  },  "buyerInformation": {    "language": "Korean"  },   "merchantInformation": {    "successUrl": "https://www.test1.com",    "failureUrl": "https://www.test2.com",    "cancelUrl": "https://www.test3.com"  },  "processingInformation": {    "actionList": "AP_INITIATE",     "enableEscrowOption": "true"  },  "paymentInformation": {    "paymentType": {      "name": "LOCALCARD",      "method": {        "name": "KCP"      }    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "100",      "currency": "KRW"    }  },    "invoiceDetails": {      "productDescription": "Television",      "productName": "Television"    }}
{    "_links": {        "self": {            "method": "POST",            "href": "/pts/v2/payments/7202083368386006203955"        },        "refund": {            "method": "POST",            "href": "/pts/v2/payments/7202083368386006203955/refunds"        },        "status": {            "method": "POST",            "href": "/pts/v2/refresh-payment-status/7202083368386006203955"        }    },    "clientReferenceInformation": {        "code": "idl1b1"    },    "id": "7202083368386006203955",    "processorInformation": {        "paymentUrl": "https://certpay.kcp.co.kr/Pay/module/cyberSource/KCP_Gateway_simul.jsp?currency=410&eng_flag=N&escw_used=N&good_mny=100&noti_url=https%3A%2F%2Fwww.cybersource.com%2Fnotify%2Fkcp&ordr_idxx=410000006138&pay_method=100000000000&ret_url=https%3A%2F%2Fmerchant.com%2Fret_url.jsp&signature=EU4WYFRPnSjAtKWt8Zc54QvK92Xla2OoFbKRoeDlQVFRvX4qFdfcBW60uKxpdyyY0D0AqCLGKgAkvDL3avt4rcweg5iXzjrOZEHm6aB8fTIMMqI6nyTpJOihMt30Pmm8Qw1RP6hzBo66fFmFgB8fSp41D5qFeYrlgyqSiPLlWKA7mBzJPFMgARQQj8x8kHswCdqMrkGilnEngG1keKt4f7eXufiT1LamtwlwkqSLRdQI8p3l6vb1TPThYDXiGrmlUPFTBPOiZN2R9XQ6WRCJ56zGiWmm2T%2FWGtKsclFLPzoBXSlKf9zV9v0j1nxWcSCwDB3wswNbAFF2ipw%2BDtJeVciefQ%3D%3D&site_cd=S6314&site_name=NR+Photos"    },    "reconciliationId": "410000006138"}
FieldTypeDescription
buyerInformation.languageSet to Korean.
clientReferenceInformation.codeMerchant-generated order reference or tracking number.
invoiceDetails.productDescriptionDescription of the product purchased by the customer.
invoiceDetails.productNameName of the product purchased by the customer.
merchantInformation.cancelUrlMerchant URL for a cancelled payment.
merchantInformation.failureUrlMerchant URL for a failed payment.
merchantInformation.returnUrlMerchant URL for a completed payment.
orderInformation.amountDetails.currencySet to KRW.
orderInformation.amountDetails.totalAmountThe payment amount.
paymentInformation.paymentType.method.nameSet to one of these possible values: KAKAOPAY (Kakaopay), KCP (credit card payment (ACC), mobile billing payment (MBP), or real-time bank transfer (RBT)), NAVERPAY (Naverpay), or PAYCO (Payco).
paymentInformation.paymentType.nameSet to one of these possible values: BANKTRANSFER (bank transfer), CARRIERBILLING (carrier billing), EWALLET (Kakaopay, Naverpay, and Payco), or LOCALCARD (card charge).
processingInformation.actionListSet to AP_INITIATE.
processingInformation.enableEscrowOptionSet to true.
Optional Fields
FieldTypeDescription
clientReferenceInformation.reconciliationIdSpecial characters are not allowed in this field's value, such as ;\n|'\",&.
deviceInformation.appUrlTo enable and update your app URL, contact your customer service representative.
installmentInformation.frequencySupported only for credit card payments when the transaction amount is greater than 50,000 KRW. Cards issued outside of Korea are not supported. Depending on the agreement with KCP and the issuers, there could be a service charge.
merchantInformation.merchantDescriptor.nameMerchant brand name that appears on the customer's statement.
orderInformation.lineItems[].productDescriptionDescription of a line item in the order.
orderInformation.lineItems[].productNameName of a line item in the order.
orderInformation.billTo.localityCustomer city.
orderInformation.billTo.countryCustomer country.
orderInformation.billTo.emailCustomer email.
orderInformation.billTo.firstNameCustomer first name.
orderInformation.billTo.lastNameCustomer last name.
orderInformation.billTo.phoneNumberCustomer telephone number.
orderInformation.billTo.postalCodeCustomer postal code.
orderInformation.billTo.administrativeAreaCustomer state or province.
orderInformation.billTo.address1Customer street address, line 1.
orderInformation.billTo.address2Customer street address, line 2.
orderInformation.amountDetails.taxDetails[].typeSet to GREEN. For more information, see Green Tax.
orderInformation.amountDetails.taxAmountThe green tax amount.

Last published: September 29, 2026